################################################################
# Load non-redundant profiles for distributed generation (DG)  #
# AMPL coding by                                               #
# Fu Lin                                                       #
# Argonne National Laboratory, 2014                            #
################################################################

### ADDITIONAL SET AND PARAMETERS ###

param NumOnOffProfPool{TechsSOFC} default 0;
set OnOffColPool{j in TechsSOFC} = {1..NumOnOffProfPool[j]};

param NumGenProfPool{j in TechsSOFC,OnOffColPool[j]};
set GenColPool{j in TechsSOFC, k in OnOffColPool[j]} = {1..NumGenProfPool[j,k]};

# load the index sets for profiles
for {j in TechsSOFC}{
	read NumOnOffProfPool[j], {k in 1..NumOnOffProfPool[j]} NumGenProfPool[j,k]  
		< ("snapshots/" & j & "/" & $Building & "GenCol" & $NumDays & $MovHor & "day.set");

	printf "The number of non-redundant on/off profiles for %s is %i.\n", j, NumOnOffProfPool[j];
}


############## load non-redundant profiles into the pools  ####################

param OnOffProfPool{1..24, j in TechsSOFC, OnOffColPool[j]};
param GenProfPool{1..24, j in TechsSOFC, k in OnOffColPool[j], GenColPool[j,k]};

for {j in TechsSOFC}{
	read {h in 1..24}: {k in OnOffColPool[j]} OnOffProfPool[h,j,k]
	< ("snapshots/" & j & "/OnOff" & $Building & $NumDays & $MovHor & "day.nrs");}

for {j in TechsSOFC}{
	for {k in OnOffColPool[j]}{
		read {h in 1..24}: {l in GenColPool[j,k]} GenProfPool[h,j,k,l]
		< ("snapshots/" & j & "/" & $Building & "OnOffProf" & k & "Power" & $NumDays & $MovHor & "day.nrs");
	}
}

