#!/bin/sh                                      
##############################################
# Test file for distributed generation (DG)  #
# AMPL coding by                             #
# Fu Lin                                     #
# Argonne National Laboratory, 2014          #
##############################################

export HorizonDays="4"	   

    for Building in  Restaurant Retail SuperMarket School   Hospital  
        do

	    export Building;

	    ampl ProfGen.ampl;
	    echo "Generating profiles for $Building with $HorizonDays days... Done."

	    export NumDays=$HorizonDays;
    	    ampl ProfGroup.ampl;	
	    echo "Removing redundant on/off profiles... Done."
				
	    ampl SolveFull.ampl;
     	    echo "Solve Full Model for $Building with $HorizonDays days... Done."

            for Method in Sampling Kmeans
		do 
		if [ "$Method" = "Sampling" ];
		then export SamplingRate="2"		# ... choose sampling rate
		fi

		if [ "$Method" = "Kmeans" ];		
		then 
		    cd  snapshots
		    export clusternum="2";		# ... choose the number of clusters
		    sh  runClusterProf.sh 		# ... run the clustering algorithm
		    cd  -
		fi

		export Method;
		ampl SolveSemiCoarse.ampl;
		echo "Solve SemiCoarse Model for $Building with $HorizonDays days using $Method algorithm... Done."

		export Method;
		ampl SolveCoarse.ampl;
		echo "Solve Coarse Model for $Building with $HorizonDays days using $Method algorithm... Done."	
	   done
    done

cd results   # ... enter the results folder

# generate result tables
model="Full"
export model
export Test="True"
sh Data2Table.sh    
#mv $model"Model.tab" "Test"$HorizonDays"Day"$model".tab"
echo "Checking $model model outputs..."
diff $model"Model.tab" "Test"$HorizonDays"Day"$model".tab"

model="SemiCoarse"

for Method in Sampling #Kmeans
    do
    export model
    export Method
    export Test="True"
    sh Data2Table.sh    
    #mv $model"Model.tab" "Test"$HorizonDays"Day"$model$Method".tab"
    echo "Checking $model model outputs..."
    diff $model"Model.tab" "Test"$HorizonDays"Day"$model$Method".tab"
done

cd .. # ... back to the original folder

